INSERT INTO adm_Opciones (IdOpc,Opcion,TipoDato,Valor,NivUp,nModulo)
 VALUES ('SNA','SUSPENDER PROCESO DE NOTAS DE AJUSTES EN NOMINA ELECTRONICA','BOOLEAN','0',5,'NOMINA')
GO
INSERT INTO Sys_ObjetosApp (IdObj,IdGrupo,SubModulo,IndObj,Nombre,Formulario,Permisos,NivelMinimo,NomArchivo)
 VALUES ('FRMLNAJ','NOMINF','GEN',16,'Listado de Notas de Ajustes','FRMLNAJ','S',0,'')
INSERT INTO Sys_ObjetosApp (IdObj,IdGrupo,SubModulo,IndObj,Nombre,Formulario,Permisos,NivelMinimo,NomArchivo)
 VALUES ('FRMPRENOM','PREPRO','GEN',11,'Notas Crédito - Deducciones de Nómina','FRMPRENOM','S',0,'')
INSERT INTO Sys_ObjetosApp (IdObj,IdGrupo,SubModulo,IndObj,Nombre,Formulario,Permisos,NivelMinimo,NomArchivo)
 VALUES ('FRMPREDBA','PREPRO','GEN',12,'Archivo de Salida Débito Automático','FRMPREDBA','S',0,'')
GO
INSERT INTO Sys_Report (TipoRep,IdRep,Descripcion,Formato,TipoPapel,Orientacion,VistaPrevia,VerSetup,NumCopias,sp_Nombre,Ind_Location,NomRep)
 VALUES ('NAJ','01','Formato Predeterminado','CrNaj.rpt',1,1,1,0,1,'paQryNomAjustesLta','','Notas de ajuste de nómina')
INSERT INTO Sys_Report (TipoRep,IdRep,Descripcion,Formato,TipoPapel,Orientacion,VistaPrevia,VerSetup,NumCopias,sp_Nombre,Ind_Location,NomRep)
 VALUES ('NCD','01','Predeterminado(Hz)','CrLogNcn.rpt',1,2,1,0,1,'LogFinNomina','LL','Notas Crédito Deducciones')
GO
INSERT INTO Sys_Roles (IdObj,IdRole,Funcion)
 VALUES ('FRMPRENOM','FEC','Habilitar Fecha Abierta')
GO
ALTER TABLE TercCliePrestamo ADD DebitoAuto VARCHAR(20) DEFAULT('N')
GO
CREATE TABLE Trn_NomAjustes ( 
TipNota VARCHAR(3) NOT NULL,
NumNota INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
IdEmpleado VARCHAR(16) NOT NULL,
NContrato INT DEFAULT ((0)) NOT NULL,
IdPeriodo VARCHAR(8) NOT NULL,
FechaInicial SMALLDATETIME NOT NULL,
FechaFinal SMALLDATETIME NOT NULL,
IdRegNom VARCHAR(30) NOT NULL,
NumLiquida INT DEFAULT ((0)) NOT NULL,
NumSemLiq INT DEFAULT ((0)) NOT NULL,
IdNom VARCHAR(4) NOT NULL,
TipoLiq CHAR(1) DEFAULT ('M') NOT NULL,
Observacion VARCHAR(2000),
NA_Estado INT DEFAULT ((0)) NOT NULL,
NA_Prefijo VARCHAR(20),
NA_Numero INT DEFAULT ((0)) NOT NULL,
NA_FecEnvio SMALLDATETIME,
NA_CUNE VARCHAR(500),
NA_QR IMAGE,
NE_Prefijo VARCHAR(20),
NE_Numero INT DEFAULT ((0)) NOT NULL,
NE_CUNE VARCHAR(500),
NE_QR IMAGE,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
IdUsuario VARCHAR(11) NOT NULL
 CONSTRAINT PK_Trn_NomAjustes PRIMARY KEY CLUSTERED (TipNota,NumNota,IdCia),
 CONSTRAINT CK_Trn_NomAjustesIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_NomAjustesIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_NomAjustesIdEmpleado CHECK ((len([IdEmpleado])>(0))),
 CONSTRAINT CK_Trn_NomAjustesIdNom CHECK ((len([IdNom])>(0))),
 CONSTRAINT CK_Trn_NomAjustesIdPeriodo CHECK ((len([IdPeriodo])>(0))),
 CONSTRAINT CK_Trn_NomAjustesIdRegNom CHECK ((len([IdRegNom])>(0))),
 CONSTRAINT CK_Trn_NomAjustesIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_NomAjustesTipNota CHECK ((len([TipNota])>(0))),
 CONSTRAINT CK_Trn_NomAjustesTipoLiq CHECK ((len([TipoLiq])>(0))))
CREATE TABLE Trn_NomAjustesDet ( 
TipNota VARCHAR(3) NOT NULL,
NumNota INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
Detalle VARCHAR(250),
CantDevg DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
CantDed DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
VrUnitario MONEY DEFAULT ((0)) NOT NULL,
VrTotDevg MONEY DEFAULT ((0)) NOT NULL,
VrTotDed MONEY DEFAULT ((0)) NOT NULL,
Unidad VARCHAR(10) DEFAULT ('UNIDADES'),
ClaseLiq VARCHAR(10) DEFAULT ('NOMINA') NOT NULL,
VrOrigen MONEY DEFAULT ((0)) NOT NULL,
Tarifa DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
DiasCalc DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
DiasNov DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
FecInicial SMALLDATETIME,
FecFinal SMALLDATETIME,
CodFondo VARCHAR(8),
NPrestamo INT DEFAULT ((0)) NOT NULL,
NCuota INT DEFAULT ((0)) NOT NULL,
OrigCargue VARCHAR(10),
VrBaseLiq MONEY DEFAULT ((0)) NOT NULL,
VrBasExceso MONEY DEFAULT ((0)),
NitTercero VARCHAR(16),
TipoIncLab VARCHAR(20)
 CONSTRAINT PK_Trn_NomAjustesDet PRIMARY KEY CLUSTERED (TipNota,NumNota,IdCia,Item),
 CONSTRAINT CK_Trn_NomAjustesDetClaseLiq CHECK ((len([ClaseLiq])>(0))),
 CONSTRAINT CK_Trn_NomAjustesDetIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_NomAjustesDetIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_NomAjustesDetTipNota CHECK ((len([TipNota])>(0))))
GO
ALTER TABLE Trn_NomAjustes ADD 
 CONSTRAINT FK_Trn_NomAjustes_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_NomAjustes_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_NomAjustes_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_NomAjustes_Empleados FOREIGN KEY (IdEmpleado) REFERENCES [dbo].[Empleados] (IdEmpleado),
 CONSTRAINT FK_Trn_NomAjustes_TiposNom FOREIGN KEY (IdNom) REFERENCES [dbo].[TiposNom] (IdNom)

 CREATE NONCLUSTERED INDEX IX_Trn_NomAjustesIdEmpleado ON Trn_NomAjustes(IdEmpleado,NContrato,IdPeriodo)
 CREATE NONCLUSTERED INDEX IX_Trn_NomAjustesFechaInicial ON Trn_NomAjustes(FechaInicial,FechaFinal)
ALTER TABLE Trn_NomAjustesDet ADD 
 CONSTRAINT FK_Trn_NomAjustesDet_NomConceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[NomConceptos] (IdConcepto),
 CONSTRAINT FK_Trn_NomAjustesDet_Trn_NomAjustes FOREIGN KEY (TipNota,NumNota,IdCia) REFERENCES [dbo].[Trn_NomAjustes] (TipNota,NumNota,IdCia)

